Subject: Re: custom libtool installation and automake testsuite failures

From: Jim Meyering <[email-masked]>
Date: Sun, 06 Nov 2011 17:11:37 +0100

Stefano Lattarini wrote:
...
> Just to verify this hunch of mine is correct, can you tell me how
> you've configured automake, where you have installed your private
> libtool version, and post the logs of the failing test(s)?
>
>> Should I expect those tests to pass in this case?
>>
> For the moment, I *think* (hope?) that you can work around the
> problem as follows:
>
>   $ cd ~/src/automake # Directory of your automake checkout.
>   $ mkdir _inst
>   $ ./configure --prefix=`pwd`/_inst
>   $ make install
>   $ cat > _inst/share/aclocal/dirlist <<END
>   # Directory of your libtool macros from your custom libtool
>   # installation.
>   /opt/libtool-2.4.2/share/aclocal
>   # Directory of your system-wide third-party aclocal macros.
>   /usr/share/aclocal
>   END
>
> Let me know how this works out.

Thanks for the hint.
I install my own versions of m4, autoconf, automake, libtool, etc.,
using --prefix=/p, and I put /p/bin earlier in PATH than /usr/bin, etc.

Because of that, I've always had to initialize
/p/share/aclocal/dirlist to contain /usr/share/aclocal.
Until today, I did it like this, so that uses of macros not
installed in my private hierarchy would still be found:

    mkdir --verbose -p $(aclocal --print-ac-dir)
    echo /usr/share/aclocal >> $(aclocal --print-ac-dir)/dirlist

Now I see that I must explicitly list /p/share/aclocal, too,
presumably before any other directory name, so I've done this:

    mkdir --verbose -p $(aclocal --print-ac-dir)
    printf '%s/share/aclocal\n' /p /usr >> $(aclocal --print-ac-dir)/dirlist

With that, all of the tests on automake.master pass once again.
Thanks!